function Custom() {
  if (typeof window !== "undefined" && !customElements.get("r-modal")) {
    class CustomModal extends HTMLElement {
      constructor() {
        super();
      }
    }
    customElements.define("r-modal", CustomModal);
  }
}
const index = Custom();
const index$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: index
}, Symbol.toStringTag, { value: "Module" }));
export {
  index as a,
  index$1 as i
};
